# IShMemoryUtilities Struct Reference
[Shell Utilities]

Memory utilities. You should not need to use any of these functions. More...

Inheritance diagram for IShMemoryUtilities:

List of all members.

## Public Member Functions
virtual void *MCCOMAPI | Malloc (uint32 size)=0
virtual void *MCCOMAPI | Calloc (uint32 nmemb, uint32 size)=0
virtual void *MCCOMAPI | Realloc (void *ptr, uint32 size)=0
virtual MCCOMErr MCCOMAPI | Free (void *ptr)=0
virtual void *MCCOMAPI | MCnew (uint32 size)=0
virtual MCCOMErr MCCOMAPI | MCdelete (void *ptr)=0
virtual void *MCCOMAPI | MCnewArray (uint32 size)=0
virtual MCCOMErr MCCOMAPI | MCdeleteArray (void *ptr)=0
virtual void *MCCOMAPI | MallocAligned (uint32 size, uint8 alignPower)=0
virtual MCCOMErr MCCOMAPI | FreeAligned (void *ptr)=0
virtual boolean MCCOMAPI | ShPreparePhysicalMemory (MCSize &in_outMinumumLockable, MCSize &in_outMaximum)=0
virtual void *MCCOMAPI | MallocPhysical (uint32 size)=0
virtual void MCCOMAPI | FreePhysical (void *ptr, uint32 size)=0
virtual void *MCCOMAPI | HighmallocPSHost (int32 size)=0
virtual MCCOMErr MCCOMAPI | HighfreePSHost (void *ptr)=0
virtual void *MCCOMAPI | HighlockPSHost (void *ptr, boolean moveHigh)=0
virtual MCCOMErr MCCOMAPI | HighunlockPSHost (void *ptr)=0
virtual int32 MCCOMAPI | GetPIHandleSizePSHost (void *ptr)=0
virtual int32 MCCOMAPI | SetPIHandleSizePSHost (void *ptr, int32 newSize)=0

## Detailed Description

Memory utilities. You should not need to use any of these functions.

## Member Function Documentation

virtual void* MCCOMAPI IShMemoryUtilities::Calloc | ( | uint32 | nmemb,
|  | uint32 | size |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShMemoryUtilities::Free | ( | void * | ptr | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShMemoryUtilities::FreeAligned | ( | void * | ptr | ) | `[pure virtual]`

virtual void MCCOMAPI IShMemoryUtilities::FreePhysical | ( | void * | ptr,
|  | uint32 | size |
| ) |  |  | `[pure virtual]`

virtual int32 MCCOMAPI IShMemoryUtilities::GetPIHandleSizePSHost | ( | void * | ptr | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShMemoryUtilities::HighfreePSHost | ( | void * | ptr | ) | `[pure virtual]`

virtual void* MCCOMAPI IShMemoryUtilities::HighlockPSHost | ( | void * | ptr,
|  | boolean | moveHigh |
| ) |  |  | `[pure virtual]`

virtual void* MCCOMAPI IShMemoryUtilities::HighmallocPSHost | ( | int32 | size | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShMemoryUtilities::HighunlockPSHost | ( | void * | ptr | ) | `[pure virtual]`

virtual void* MCCOMAPI IShMemoryUtilities::Malloc | ( | uint32 | size | ) | `[pure virtual]`

virtual void* MCCOMAPI IShMemoryUtilities::MallocAligned | ( | uint32 | size,
|  | uint8 | alignPower |
| ) |  |  | `[pure virtual]`

virtual void* MCCOMAPI IShMemoryUtilities::MallocPhysical | ( | uint32 | size | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShMemoryUtilities::MCdelete | ( | void * | ptr | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShMemoryUtilities::MCdeleteArray | ( | void * | ptr | ) | `[pure virtual]`

virtual void* MCCOMAPI IShMemoryUtilities::MCnew | ( | uint32 | size | ) | `[pure virtual]`

virtual void* MCCOMAPI IShMemoryUtilities::MCnewArray | ( | uint32 | size | ) | `[pure virtual]`

virtual void* MCCOMAPI IShMemoryUtilities::Realloc | ( | void * | ptr,
|  | uint32 | size |
| ) |  |  | `[pure virtual]`

virtual int32 MCCOMAPI IShMemoryUtilities::SetPIHandleSizePSHost | ( | void * | ptr,
|  | int32 | newSize |
| ) |  |  | `[pure virtual]`

virtual boolean MCCOMAPI IShMemoryUtilities::ShPreparePhysicalMemory | ( | MCSize & | in_outMinumumLockable,
|  | MCSize & | in_outMaximum |
| ) |  |  | `[pure virtual]`

The documentation for this struct was generated from the following file:

- IShMemoryUtilities.h